# Pool Weights

## Super Staking Weights

Like most Staking models, the program can indeed run for certain time-periods. For v1 dDAFI we will likely run the program for 1 month, before extending it further.

To create a lightweight architecture, we’re able to track users rewards through weights.

$$
currentPoolWeight = (distributePerSecond \* currentTime – lastCalculatedTime) / totalStaked
$$

It calculates how much dDAFI is being distributed within the elapsed time per staked DAFI across the entire pool. It is then added to an ongoing pool weight.

$$
accumulatedPoolWeight = lastAccumulatedWeight + newWeight
$$

Each time any user behaves within the protocol, by staking, unstaking or claiming, the weight is recalculated for the whole network. One user simply acts, and everyone is synchronised.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dafiprotocol.io/guides/pool-weights.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
